Subject: bug#50630: [PATCH] Add tests for insert-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Sep 2021 16:06:28 +0300

> Date: Sat, 25 Sep 2021 11:38:08 +0000
> From: John Cummings <[email-masked]>
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> wrote:
> 
> >> Date: Fri, 24 Sep 2021 19:58:25 +0000
> >> From: John Cummings <[email-masked]>
> >>
> >> Along those lines, I also attempted to skip the test when ls-lisp
> >> would be used during files-tests.el, which I predict might happen when
> >> building on Windows?
> >
> > Why did you need to skip those tests?  Can you elaborate?
> 
> ls-lisp has its own implementation of insert-directory, which
> duplicates the bug, and which will also duplicate the fix when I
> submit it soon.

Some context is probably lost here: which bug are you talking about?

And if that bug will be fixed in ls-lisp, then why do you need to
single ls-lisp out?

> I admit I may not correctly or completely understand the way that
> ls-lisp could relate to a batch ert run at build time, or how that
> varies between architectures.

Whenever you invoke insert-directory, on MS-Windows it will invoke
ls-lisp.

> I personally find the variable a little confusing,
> and think that negating its name and meaning would be more natural,
> but the documentation does make it clear, even if I have to think
> about it for a bit every time I set it.

You are talking about ls-lisp-use-insert-directory-program?  Why it is
confusing?  ls-lisp by default doesn't use any programs, it accesses
the files' attributes using Emacs Lisp APIs; so the "program" part is
a reference to the fact that on Posix platforms insert-directory uses
the 'ls' program instead.